#
# unix/Common.mk.in  --
#
# Common macro definitions used by all include files.
#------------------------------------------------------------------------------
# Copyright 1995-1999 Karl Lehenbauer and Mark Diekhans.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose and without fee is hereby granted, provided
# that the above copyright notice appear in all copies.  Karl Lehenbauer and
# Mark Diekhans make no representations about the suitability of this
# software for any purpose.  It is provided "as is" without express or
# implied warranty.
#------------------------------------------------------------------------------
# $Id$
#------------------------------------------------------------------------------
#

SHELL = /bin/sh

#------------------------------------------------------------------------------
# Tcl and Tk versions
#
TCL_VERSION      = 8.2
TK_VERSION       = 8.2

#------------------------------------------------------------------------------
# TclX version information extracted from tclExtend.h.
#
TCLX_VERSION       = 8.1
TCLX_FULL_VERSION  = 8.1.1

TKX_VERSION        = 8.1
TKX_FULL_VERSION   = 8.1.1

#------------------------------------------------------------------------------
# Autoconfig defines that can be overridden in Config.mk.
#
CC           = cc
CFLAGS       = -O 
SYSCFLAGS    = 
RANLIB       = :
LN_S         = ln -s
srcbasedir   = /home/hops/src/tcl/tcl820/tclX8.1.1
bldbasedir   = /home/hops/src/tcl/tcl820/tclX8.1.1
prefix       = /usr/local
exec_prefix  = /usr/local

#------------------------------------------------------------------------------
# TclX configuration information determined by configure.
#
BUILD_SHARED = @BUILD_SHARED@
TKX_BUILD    = YES
TCLX_DEFS    =  -DSTDC_HEADERS=1 -DRETSIGTYPE=void 
TCLX_LIBS    = 

#------------------------------------------------------------------------------
# Library names.
#
TCL_STLIB_NAME  = libtcl8.2.a
TK_STLIB_NAME   = libtk8.2.a

TCLX_SHLIB_NAME = libtclx8.1.so
TCLX_STLIB_NAME = libtclx8.1${DBGX}.a
TCLX_LIB_NAME   = libtclx8.1.so

TKX_SHLIB_NAME       = libtkx8.1.so
TKX_STLIB_NAME       = libtkx8.1${DBGX}.a
TKX_LIB_NAME         = libtkx8.1.so

#------------------------------------------------------------------------------
# Compiler flag to use when generating shared object files.  Unixware cc will
# only output the name of the .c file, so we hack it.

CC_SHOBJ_FLAG = -o $@

#------------------------------------------------------------------------------
# Linker arguments to pick up TclX libraries.
#
TCLX_BUILD_LIB_SPEC  = -L/home/hops/src/tcl/tcl820/tclX8.1.1/tcl/unix -ltclx8.1
TKX_BUILD_LIB_SPEC   = -L/home/hops/src/tcl/tcl820/tclX8.1.1/tk/unix -ltkx8.1
TCLX_LD_SEARCH_FLAGS = 
TCLX_CC_SEARCH_FLAGS = 
TKX_LD_SEARCH_FLAGS  = 
TKX_CC_SEARCH_FLAGS  = 

#------------------------------------------------------------------------------
# Configuration information from tclConfig.sh and tkConfig.sh.
#
TCL_DEFS             =  -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TZNAME=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DNO_UNION_WAIT=1 -DNEED_MATHERR=1 -DRETSIGTYPE=void -DHAVE_SIGNED_CHAR=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_FILIO_H=1 
TCL_LIBS             = -ldl  -lsocket -lm
TCL_EXEC_PREFIX      = /usr/local
TCL_SHLIB_CFLAGS     = -Kpic
TCL_LD_FLAGS         = -Wl,-Bexport
TCL_DL_LIBS          = -ldl
TCL_SHLIB_LD         = cc -G
TCL_SHLIB_LD_LIBS    = 
TCL_DBGX             = 
TCL_BUILD_LIB_SPEC   = -L/home/hops/src/tcl/tcl820/tcl8.2.0/unix -ltcl8.2${TCL_DBGX}
TCL_LIB_SPEC         = -L/usr/local/lib -ltcl8.2${TCL_DBGX}
TCL_LD_SEARCH_FLAGS  = 

TK_DEFS              =  -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_PW_GECOS=1 
TK_LIBS              = -L/usr/X11R6.1/lib -lX11 -ldl  -lsocket -lm
TK_EXEC_PREFIX       = /usr/local
TK_XINCLUDES         = -I/usr/X11R6.1/include
TK_XLIBSW            = -L/usr/X11R6.1/lib -lX11
TK_DBGX              = 
TK_BUILD_LIB_SPEC    = -L/home/hops/src/tcl/tcl820/tk8.2.0/unix -ltk8.2
TK_LIB_SPEC          = -L/usr/local/lib -ltk8.2
TK_LD_SEARCH_FLAGS   = 

#------------------------------------------------------------------------------
# Location of directories.
#
TCL_GENERIC_DIR    = ${TCL_SRC}/generic
TCL_UNIX_DIR       = ${TCL_SRC}/unix
TCL_LIBRARY_DIR    = ${TCL_SRC}/library
TK_GENERIC_DIR     = ${TK_SRC}/generic
TK_UNIX_DIR        = ${TK_SRC}/unix

TCLX_GENERIC_DIR   = ${srcbasedir}/tcl/generic
TCLX_UNIX_SRC_DIR  = ${srcbasedir}/tcl/unix
TCLX_UNIX_BLD_DIR  = ${bldbasedir}/tcl/unix
TKX_GENERIC_DIR    = ${srcbasedir}/tk/generic
TKX_UNIX_SRC_DIR   = ${srcbasedir}/tk/unix
TKX_UNIX_BLD_DIR   = ${bldbasedir}/tk/unix
COMPAT_DIR         = ${srcbasedir}/tcl/compat

#------------------------------------------------------------------------------
# Programs run during the build.
#
TCLX_DBGX	   = 
DBGX		   = 
TCLX_TMP_RUNTIME   = ${bldbasedir}/tcl/unix
TKX_TMP_RUNTIME    = ${bldbasedir}/tk/unix

RUNTCL             = ${bldbasedir}/unix/runtcl
RUNWISHX           = ${bldbasedir}/unix/runwishx
GENTNDX            = ${RUNTCL} ${srcbasedir}/unix/tools/genindex.tcl
BLDMANHELP         = ${RUNTCL} ${bldbasedir}/unix/tools/bldmanhelp
CONVERTLIB         = ${RUNTCL} ${srcbasedir}/unix/tools/libconvert.tcl
INSTCOPY           = ${RUNTCL} ${bldbasedir}/unix/tools/instcopy
CPMANPAGES         = ${RUNTCL} ${bldbasedir}/unix/tools/cpmanpages

  
#------------------------------------------------------------------------------
# For conversion of a tcl-script into C-strings.  Used in standalone binaries.
# Requires Tcl PlusPatch.
#
.SUFFIXES: .tcl $(SUFFIXES)

.tcl.c:
	${TCL2C} -o $@ -a -n $@ $<
